Generation Framework

## org.eclipse.gmf.mappings
Interface ElementInitializer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FeatureSeqInitializer

All Known Implementing Classes:
  FeatureSeqInitializerImpl

    public interface ElementInitializer

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Element Initializer'. Base class for initializers of domain model elements

The following features are supported:

- `Mapping Entry`

See Also:
  `GMFMapPackage.getElementInitializer()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`MappingEntry` `getMappingEntry()` Returns the value of the 'Mapping Entry' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMappingEntry

    MappingEntry getMappingEntry()

  Returns the value of the 'Mapping Entry' reference.

  If the meaning of the 'Mapping Entry' container reference isn't clear, there really should be more of a description here...

  The 'MappingEntry' whose domain model element is to be intialized by this initializer

  Returns:
    the value of the 'Mapping Entry' reference.
  See Also:
    `GMFMapPackage.getElementInitializer_MappingEntry()`
  ** Generated **
  Model:
    required="true" transient="true" changeable="false" volatile="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.